the complexities of selecting text across separate lines.

Selection handling functions. More...

## Functions

void | elm_code_widget_selection_start (Evas_Object *widget, unsigned int line, unsigned int col)
| Start the selection of widget contents.
void | elm_code_widget_selection_end (Evas_Object *widget, unsigned int line, unsigned int col)
| End the selection of widget contents.
void | elm_code_widget_selection_clear (Evas_Object *widget)
| Clear selection of widget contents.
void | elm_code_widget_selection_delete (Evas_Object *widget)
| Delete the selected contents of widget contents.
void | elm_code_widget_selection_select_line (Evas_Object *widget, unsigned int line)
| Select the entire line from the widget.
void | elm_code_widget_selection_select_word (Evas_Object *widget, unsigned int line, unsigned int col)
| Select a word from the widget.
char * | elm_code_widget_selection_text_get (Evas_Object *widget)
| Get the selected widget content.
void | elm_code_widget_selection_cut (Evas_Object *widget)
| Cut the selected widget content.
void | elm_code_widget_selection_copy (Evas_Object *widget)
| Copy the selected widget content to clipboard.
void | elm_code_widget_selection_paste (Evas_Object *widget)
| Paste the copied widget content from clipboard.
Eina_Bool | elm_code_widget_selection_is_empty (Evas_Object *widget)
| check if the widget selection is empty.
void | elm_code_widget_selection_select_all (Evas_Object *widget)
| Select the entire widget contents.

## Detailed Description

Selection handling functions.

Functions for selection handling

## Function Documentation

## elm_code_widget_selection_start()

void elm_code_widget_selection_start | ( | Evas_Object * | widget,
|  | unsigned int | line,
|  | unsigned int | col )

Start the selection of widget contents.

Parameters

  [in] | widget | `The` elm_widget object.
  [in] | line | `The` line index of the widget.
  [in] | widget | `The` column index of the widget.

Returns
  None

References EINA_TRUE.

Referenced by elm_code_widget_selection_select_all(), elm_code_widget_selection_select_line(), and elm_code_widget_selection_select_word().

## elm_code_widget_selection_end()

void elm_code_widget_selection_end | ( | Evas_Object * | widget,
|  | unsigned int | line,
|  | unsigned int | col )

End the selection of widget contents.

Parameters

  [in] | widget | `The` elm_widget object.
  [in] | line | `The` line index of the widget.
  [in] | widget | `The` column index of the widget.

Returns
  None

Referenced by elm_code_widget_selection_select_all(), elm_code_widget_selection_select_line(), and elm_code_widget_selection_select_word().

## elm_code_widget_selection_clear()

void elm_code_widget_selection_clear | ( | Evas_Object * | widget | ) |

Clear selection of widget contents.

Parameters

  [in] | widget | `The` elm_widget object.

Returns
  None

## elm_code_widget_selection_delete()

void elm_code_widget_selection_delete | ( | Evas_Object * | widget | ) |

Delete the selected contents of widget contents.

Parameters

  [in] | widget | `The` elm_widget object.

Returns
  None

References EINA_TRUE.

Referenced by elm_code_widget_selection_cut(), and elm_code_widget_selection_paste().

## elm_code_widget_selection_select_line()

void elm_code_widget_selection_select_line | ( | Evas_Object * | widget,
|  | unsigned int | line )

Select the entire line from the widget.

Parameters

  [in] | widget | `The` elm_widget object.
  [in] | line | `The` line index of the widget.

Returns
  None

References elm_code_widget_selection_end(), and elm_code_widget_selection_start().

## elm_code_widget_selection_select_word()

void elm_code_widget_selection_select_word | ( | Evas_Object * | widget,
|  | unsigned int | line,
|  | unsigned int | col )

Select a word from the widget.

Parameters

  [in] | widget | `The` elm_widget object.
  [in] | line | `The` line index of the widget.
  [in] | col | `The` column index of the widget.

Returns
  None

References elm_code_widget_selection_end(), and elm_code_widget_selection_start().

## elm_code_widget_selection_text_get()

char * elm_code_widget_selection_text_get | ( | Evas_Object * | widget | ) |

Get the selected widget content.

Parameters

  [in] | widget | `The` elm_widget object.

Returns
  char pointer to text contents.

Referenced by elm_code_widget_selection_copy(), and elm_code_widget_selection_cut().

## elm_code_widget_selection_cut()

void elm_code_widget_selection_cut | ( | Evas_Object * | widget | ) |

Cut the selected widget content.

Parameters

  [in] | widget | `The` elm_widget object.

Returns
  None

References elm_cnp_selection_loss_callback_set(), elm_cnp_selection_set(), elm_code_widget_selection_delete(), elm_code_widget_selection_is_empty(), elm_code_widget_selection_text_get(), ELM_SEL_FORMAT_TEXT, and ELM_SEL_TYPE_CLIPBOARD.

## elm_code_widget_selection_copy()

void elm_code_widget_selection_copy | ( | Evas_Object * | widget | ) |

Copy the selected widget content to clipboard.

Parameters

  [in] | widget | `The` elm_widget object.

Returns
  None

References elm_cnp_selection_loss_callback_set(), elm_cnp_selection_set(), elm_code_widget_selection_is_empty(), elm_code_widget_selection_text_get(), ELM_SEL_FORMAT_TEXT, and ELM_SEL_TYPE_CLIPBOARD.

## elm_code_widget_selection_paste()

void elm_code_widget_selection_paste | ( | Evas_Object * | widget | ) |

Paste the copied widget content from clipboard.

Parameters

  [in] | widget | `The` elm_widget object.

Returns
  None

References elm_cnp_selection_get(), elm_code_widget_selection_delete(), ELM_SEL_FORMAT_TEXT, and ELM_SEL_TYPE_CLIPBOARD.

## elm_code_widget_selection_is_empty()

Eina_Bool elm_code_widget_selection_is_empty | ( | Evas_Object * | widget | ) |

check if the widget selection is empty.

Parameters

  [in] | widget | `The` elm_widget object.

Returns
  true is empty, false otherwise

References EINA_FALSE, and EINA_TRUE.

Referenced by elm_code_widget_selection_copy(), and elm_code_widget_selection_cut().

## elm_code_widget_selection_select_all()

void elm_code_widget_selection_select_all | ( | Evas_Object * | widget | ) |

Select the entire widget contents.

Parameters

  [in] | widget | `The` elm_widget object.

Returns
  None

References elm_code_widget_selection_end(), and elm_code_widget_selection_start().